## org.biojava.bio.program.ssbind
Class AnnotationFactory

    java.lang.Object
      org.biojava.bio.program.ssbind.AnnotationFactory

    public class AnnotationFactory

extends Object

`AnnotationFactory` is a utility class for making `Annotation`s from `Map`s. Shared by the search and homology builders. Now public to allow use by anyone making custom handlers.

Since:
  1.2
Author:
  Keith James, Thomas Down

Constructor Summary
`AnnotationFactory()`

Method Summary
`static Annotation` `makeAnnotation(Map m)` `makeAnnotation` creates the annotation.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AnnotationFactory

    public AnnotationFactory()

Method Detail

### makeAnnotation

    public static Annotation makeAnnotation(Map m)

  `makeAnnotation` creates the annotation.

  Parameters:
    `m` - a `Map` of raw data.
  Returns:
    an `Annotation`.